Non-Reserved CQL Keywords
=========================

CQL distinguishes between reserved and non-reserved keywords. 

Non-reserved keywords only have meaning in their particular area of context and can be used as an identifier. The following keywords are non-reserved:

* AGGREGATE
* ALL	
* AS	
* ASCII	
* BIGINT	
* BLOB	
* BOOLEAN	
* CALLED	
* CLUSTERING	
* COMPACT	
* CONTAINS	
* COUNT	
* COUNTER	
* CUSTOM	
* DATE	
* DECIMAL	
* DISTINCT	
* DOUBLE	
* EXISTS	
* FILTERING	
* FINALFUNC	
* FLOAT	
* FROZEN	
* FUNCTION	
* FUNCTIONS	
* INET	
* INITCOND	
* INPUT	
* INT	
* JSON	
* KEY	
* KEYS	
* KEYSPACES	
* LANGUAGE	
* LIST	
* LOGIN	
* MAP	
* NOLOGIN	
* NOSUPERUSER	
* OPTIONS	
* PASSWORD	
* PERMISSION	
* PERMISSIONS	
* RETURNS	
* ROLE	
* ROLES	
* SFUNC	
* SMALLINT	
* STATIC	
* STORAGE	
* STYPE	
* SUPERUSER	
* TEXT	
* TIME	
* TIMESTAMP	
* TIMEUUID	
* TINYINT	
* TRIGGER	
* TTL	
* TUPLE	
* TYPE	
* USER	
* USERS	
* UUID	
* VALUES	
* VARCHAR	
* VARINT	
* WRITETIME	

.. include:: /rst_include/apache-copyrights.rst
